Bug 74440 - anaconda: "/sbin/depmod can not be run" appears and script falls apart
Summary: anaconda: "/sbin/depmod can not be run" appears and script falls apart
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: s390x Linux
medium
high
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-24 13:16 UTC by David Booher
Modified: 2007-04-18 16:46 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-28 08:50:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Booher 2002-09-24 13:16:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
Running under a VM guest on MP3000-H70.  Chose "Workstation install" using the 
FTP option.  anaconda falls apart right after all the packages are installed.  
Error messages: 
Traceback (innermost last):
  File "/usr/bin/anaconda", line 640, in ?
    intf.run(id, dispatch, configFileData)
  File "/var/tmp/anaconda-7.2//usr/lib/anaconda/text.py", line 418, in run
  File "/var/tmp/anaconda-7.2//usr/lib/anaconda/dispatch.py", line 144, in 
gotoNext
  File "/var/tmp/anaconda-7.2//usr/lib/anaconda/dispatch.py", line 209, in 
moveStep
  File "/var/tmp/anaconda-7.2//usr/lib/anaconda/packages.py", line 806, in 
doPostInstall
  File "/var/tmp/anaconda-7.2//usr/lib/anaconda/packages.py", line 881, in 
depmodModules
  File "/var/tmp/anaconda-7.2//usr/lib/anaconda/iutil.py", line 61, in 
execWithRedirect
RuntimeError: /sbin/depmod can not be run

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Choose Workstation install
2.Choose FTP
3.Selected GNOME 
	

Actual Results:  Traceback (innermost last):
  File "/usr/bin/anaconda", line 640, in ?
    intf.run(id, dispatch, configFileData)
  File "/var/tmp/anaconda-7.2//usr/lib/anaconda/text.py", line 418, in run
  File "/var/tmp/anaconda-7.2//usr/lib/anaconda/dispatch.py", line 144, in 
gotoNext
  File "/var/tmp/anaconda-7.2//usr/lib/anaconda/dispatch.py", line 209, in 
moveStep
  File "/var/tmp/anaconda-7.2//usr/lib/anaconda/packages.py", line 806, in 
doPostInstall
  File "/var/tmp/anaconda-7.2//usr/lib/anaconda/packages.py", line 881, in 
depmodModules
  File "/var/tmp/anaconda-7.2//usr/lib/anaconda/iutil.py", line 61, in 
execWithRedirect
RuntimeError: /sbin/depmod can not be run

Expected Results:  script completion and a redhat installed.

Additional info:

I downloaded from ftp.dulug.duke.edu the image of the first CD for version 7.2  
I placed the directory structure as indicated in the README onto an FTP server 
to do the install.  This consisted of the root of the CD, RedHat, RPMS and base 
directories.  No files from the second CD were downloaded.

Comment 1 David Booher 2002-09-24 13:25:44 UTC
Just checked... no /sbin/depmod in the started filesystem.  What's up? 



Comment 2 Phil Knirsch 2003-05-28 08:50:06 UTC
Has been fixed for the next upcoming release.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.